Kodi Community Forum
[MAC] Compiling on OSX Lion / Xcode 4.1` - Printable Version

+- Kodi Community Forum (https://forum.kodi.tv)
+-- Forum: Development (https://forum.kodi.tv/forumdisplay.php?fid=32)
+--- Forum: Kodi Application (https://forum.kodi.tv/forumdisplay.php?fid=93)
+--- Thread: [MAC] Compiling on OSX Lion / Xcode 4.1` (/showthread.php?tid=107126)

Pages: 1 2 3 4 5 6 7 8 9 10


[MAC] Compiling on OSX Lion / Xcode 4.1` - Memphiz - 2012-08-04

its the after buildstep which fails. You can edit it in the gui under the target settings. Play with it until it works on the commandline (its a simple shell script which just sets a symlink from the build destination to the buildfolder which was used on xcode 3).


RE: [MAC] Compiling on OSX Lion / Xcode 4.1` - jingai - 2012-08-05

(2012-08-04, 12:56)Memphiz Wrote: its the after buildstep which fails. You can edit it in the gui under the target settings. Play with it until it works on the commandline (its a simple shell script which just sets a symlink from the build destination to the buildfolder which was used on xcode 3).

This works one time after using the GUI to build it, but the script again messes up the symlinks in the build folder, which causes the subsequent build to fail. It also means that the dmgmaker script doesn't work because the links are bad (they are links that link to themselves).


RE: [MAC] Compiling on OSX Lion / Xcode 4.1` - i5Js - 2012-08-06

Sorry about the delay, yes! Here only work whith GUI, with command line throw that error.

EDIT: With the last pull, the error still happening.

BR


RE: [MAC] Compiling on OSX Lion / Xcode 4.1` - Memphiz - 2012-08-06

Have fixed it i guess. If you switch from gui build to commandline you have to rm the links in build/Debug and build/Release ... the other way around is fine ... (that said - only with the latest commits from me of course).


RE: [MAC] Compiling on OSX Lion / Xcode 4.1` - jingai - 2012-08-07

Thanks Memphiz, that worked Smile

The only issue left is that dmgmaker.pl script is trying to package up the Debug version even if I specified "Release" on the xcodebuild command line. This is because it finds -D_DEBUG in $CFLAGS in the top-level Makefile.include. I can work around that obviously, but the script should probably use some other way of determining which one to package up, since -D_DEBUG is specified regardless of which you're building.


RE: [MAC] Compiling on OSX Lion / Xcode 4.1` - davilla - 2012-08-07

dmgmaker.pl is driven by how you configure xbmc in tools/darwin/depends/xbmx.Makefile
Pass the right flag and it will compile release. This will not be changed.


RE: [MAC] Compiling on OSX Lion / Xcode 4.1` - jingai - 2012-08-07

Got it. Thanks guys for the help!

If it helps anyone else, here is the script I'm using to build it all:

Code:
#! /bin/sh -x

fail() {
    [ -n "%1" ] && echo "$1" 1>&2
    exit 1
}

export XBMC_HOME="$HOME/dev/xbmc"
export XBMC_DARWIN_RELEASE=Release

pushd tools/darwin/depends
( ./bootstrap && ./configure --with-darwin=osx --with-arch=i386 --with-sdk=10.6 ) || fail "CONFIGURE FAILED FOR osx-depends."
[ "$1" == "clean" ] && ( echo make clean || fail "CLEAN FAILED FOR osx-depends." )
[ "$1" == "distclean" ] && ( echo make distclean || fail "DISTCLEAN FAILED FOR osx-depends." )
make || fail "BUILD FAILED FOR osx-depends."
popd

make -C tools/darwin/depends/xbmc || fail "CONFIGURE FAILED."

[ "$1" == "clean" -o "$1" == "distclean" ] && make clean

make xcode_depends || fail "BUILD FAILED FOR xcode_depends."
xcodebuild -sdk macosx10.6 -project XBMC.xcodeproj -target XBMC.app ONLY_ACTIVE_ARCH=YES ARCHS=i386 VALID_ARCHS=i386 -configuration $XBMC_DARWIN_RELEASE build || fail "xcodebuild FAILED."

make -C tools/darwin/packaging/xbmc-osx



RE: [MAC] Compiling on OSX Lion / Xcode 4.1` - davilla - 2012-08-07

no silly Smile

XBMC_DARWIN_RELEASE=Release Make -C tools/darwin/depends/xbmc




RE: [MAC] Compiling on OSX Lion / Xcode 4.1` - i5Js - 2012-08-07

(2012-08-06, 23:58)Memphiz Wrote: Have fixed it i guess. If you switch from gui build to commandline you have to rm the links in build/Debug and build/Release ... the other way around is fine ... (that said - only with the latest commits from me of course).

I'm sorry, but I don't understand what I have to remove, and where SadSadSadSad


RE: [MAC] Compiling on OSX Lion / Xcode 4.1` - davilla - 2012-08-07

XBMC_DARWIN_RELEASE is an environment var that the makefile looks for

export XBMC_DARWIN_RELEASE=Release
make -C tools/darwin/depends/xbmc



or you can just add --disable-debug to xbmc's configure.


RE: [MAC] Compiling on OSX Lion / Xcode 4.1` - jingai - 2012-08-07

(2012-08-07, 16:30)davilla Wrote: no silly Smile

XBMC_DARWIN_RELEASE=Release Make -C tools/darwin/depends/xbmc

I figured it out Tongue Posted that before I even looked at it.. sorry lol.

Thanks again!
(2012-08-07, 17:01)i5Js Wrote:
(2012-08-06, 23:58)Memphiz Wrote: Have fixed it i guess. If you switch from gui build to commandline you have to rm the links in build/Debug and build/Release ... the other way around is fine ... (that said - only with the latest commits from me of course).

I'm sorry, but I don't understand what I have to remove, and where SadSadSadSad

Just blow away everything in the build/ directory:

% rm -rf build/*

Then pull in the latest changes from github and build again.


RE: [MAC] Compiling on OSX Lion / Xcode 4.1` - i5Js - 2012-08-07

Thanks Davilla, Memphiz and Jingai, It worked!!!


[MAC] Compiling on OSX Lion / Xcode 4.1` - Memphiz - 2012-08-07

i want that "m" in my nick for sure - but your welcome. Wink


RE: [MAC] Compiling on OSX Lion / Xcode 4.1` - i5Js - 2012-08-08

(2012-08-07, 23:14)Memphiz Wrote: i want that "m" in my nick for sure - but your welcome. Wink

Fixed! Big Grin


RE: [MAC] Compiling on OSX Lion / Xcode 4.1` - i5Js - 2012-10-02

Hello again!!

new error here

Code:
kaya:xbmc i5Js$ make -C tools/darwin/depends/xbmc
cd ../../../../; ./bootstrap
make[1]: Nothing to be done for `all'.
cd ../../../../; ./configure --prefix=/Users/Shared/xbmc-depends/macosx10.8_x86_64 --enable-upnp --enable-gtest --disable-rsxs PKG_CONFIG_PATH=/Users/Shared/xbmc-depends/macosx10.8_x86_64/lib/pkgconfig PYTHON=/Users/Shared/xbmc-depends/macosx10.8_x86_64/bin/python
configure: loading site script /Users/Shared/xbmc-depends/macosx10.8_x86_64/share/config.site
checking for a BSD-compatible install... /usr/bin/install -c
...........
checking sys/inotify.h usability... no
checking sys/inotify.h presence... no
checking for sys/inotify.h... no
checking boost/shared_ptr.hpp usability... no
checking boost/shared_ptr.hpp presence... no
checking for boost/shared_ptr.hpp... no
configure: error: Could not find a required library. Please see the README for your platform.
make: *** [configure] Error 1

BR